<html>
<head>
<title>Ogre::Rectangle Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Rectangle.html">Rectangle</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Rectangle Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Rectangle" -->
<p><code>#include &lt;<a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Rectangle-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#a248f253e65b63f573bbe368b523567bd">inside</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#a4851de00a37259650c67b9d000ed80d1">left</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#afb3100f7a6979bfcb45e25ca4b36df2c">top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#ae8be8a35b84e0a60b706df4e4aa9d006">right</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#a4f8176ad0efb40889b96c05bfbf61176">bottom</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00042">42</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a248f253e65b63f573bbe368b523567bd"></a><!-- doxytag: member="Ogre::Rectangle::inside" ref="a248f253e65b63f573bbe368b523567bd" args="(Real x, Real y) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Rectangle.html#a248f253e65b63f573bbe368b523567bd">Ogre::Rectangle::inside</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00049">49</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4f8176ad0efb40889b96c05bfbf61176"></a><!-- doxytag: member="Ogre::Rectangle::bottom" ref="a4f8176ad0efb40889b96c05bfbf61176" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#a4f8176ad0efb40889b96c05bfbf61176">Ogre::Rectangle::bottom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00047">47</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h_source.html#l00061">Ogre::intersect()</a>.</p>

</div>
</div>
<a class="anchor" id="a4851de00a37259650c67b9d000ed80d1"></a><!-- doxytag: member="Ogre::Rectangle::left" ref="a4851de00a37259650c67b9d000ed80d1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#a4851de00a37259650c67b9d000ed80d1">Ogre::Rectangle::left</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00044">44</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h_source.html#l00061">Ogre::intersect()</a>.</p>

</div>
</div>
<a class="anchor" id="ae8be8a35b84e0a60b706df4e4aa9d006"></a><!-- doxytag: member="Ogre::Rectangle::right" ref="ae8be8a35b84e0a60b706df4e4aa9d006" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#ae8be8a35b84e0a60b706df4e4aa9d006">Ogre::Rectangle::right</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00046">46</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h_source.html#l00061">Ogre::intersect()</a>.</p>

</div>
</div>
<a class="anchor" id="afb3100f7a6979bfcb45e25ca4b36df2c"></a><!-- doxytag: member="Ogre::Rectangle::top" ref="afb3100f7a6979bfcb45e25ca4b36df2c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#afb3100f7a6979bfcb45e25ca4b36df2c">Ogre::Rectangle::top</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRectangle_8h_source.html#l00045">45</a> of file <a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h_source.html#l00061">Ogre::intersect()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
